#!/usr/bin/python
# 22.12.2015
# #1 --> Zeile1, #2 --> Zeile2, & --> EOT (Ende Text)

import sys
import time
import serial
from time import sleep     
import os  

# UART oeffnen
UART = serial.Serial("/dev/ttyUSB0", 4800)
UART.open()

def cpu_temp ():
	Dateiname = "/home/pi/display/cput.txt"
	os.system("cat /sys/class/thermal/thermal_zone*/temp > /home/pi/display/cput.txt")
	tcpu = open(Dateiname, "r")
	ctemp = int(tcpu.read())
	tcpu.close()
	ctemp = ctemp/1000.0	# Python 2.7 -> Ausgabe der Nachkommastellen
	return (ctemp)
	

# Datum, Uhrzeit
now = time.localtime(time.time())
year, month, day, hour, minute, second, weekday, yearday, daylight = now

std = "%02d" % (hour)
min = "%02d" % (minute)
tag = "%02d" % (day)
monat = "%02d" % (month)
jahr ="%04d" % (year) 

cputemp = cpu_temp()

Datum = tag + '.' + monat + '.' + jahr
Uhrzeit = std + ':' + min


UART.write("#1" + "Datum          " + "#2" + Datum +   "      " + "&")
sleep(3)
UART.write("#1" + "Uhrzeit        " + "#2" + Uhrzeit + "           " + "&")
sleep(3)
UART.write("#1" + "CPU Temperatur  " + "#2" + (str(cputemp)) + "  *C "+ "&")
sleep(3)
	
UART.close()
sys.exit()

	



